/*
 * Copyright 2007 Robbie.JP
 */
package exampleS2;

import org.seasar.framework.container.factory.SingletonS2ContainerFactory;

import robbie.dao.x.XDao;

/**
 * Test01NXB<p>
 * @author Tadahiro Murakami
 */
public class Test01 {
    
    protected XDao dao;
    protected XDao xaDao;

    public Test01() {
    }
    
    /**
     * @param dao ݒ肵܂. dao
     */
    public void setXaDao(XDao xaDao) {
        this.xaDao = xaDao;
    }
    
    /**
     * @param dao ݒ肵܂. dao
     */
    public void setDao(XDao dao) {
        this.dao = dao;
    }
    
    public void execute() throws Exception {
        System.out.println("XDao execute=" + dao.query("test", null));
    }

    public void executeXa() throws Exception {
        System.out.println("XDao execute=" + xaDao.query("test", null));
    }
    
    /**
     * @param args
     */
    public static void main(String[] args) throws Exception {

        SingletonS2ContainerFactory.init();
        
        Test01 test = (Test01)SingletonS2ContainerFactory.getContainer().getComponent("test01");
        test.execute();
        test.executeXa();
        
        System.out.println("dao=" + SingletonS2ContainerFactory.getContainer().getComponent("dao"));
        System.out.println("xaDao=" + SingletonS2ContainerFactory.getContainer().getComponent("xaDao"));
    }

}
